org.apache.fop.fonts

## Class SingleByteFont.UnencodedCharacter

- java.lang.Object
- - org.apache.fop.fonts.SingleByteFont.UnencodedCharacter

- Enclosing class:
    SingleByteFont

      protected static final class SingleByteFont.UnencodedCharacter
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnencodedCharacter(NamedCharacter character, int width, java.awt.Rectangle bbox)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Rectangle` | `getBBox()`
    `NamedCharacter` | `getCharacter()`
    `int` | `getWidth()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnencodedCharacter

          public UnencodedCharacter(NamedCharacter character,
                                    int width,
                                    java.awt.Rectangle bbox)

  - ### Method Detail

    - #### getCharacter

          public NamedCharacter getCharacter()

    - #### getWidth

          public int getWidth()

    - #### getBBox

          public java.awt.Rectangle getBBox()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.